• 子方有料致力于陪伴互联网运营小白共同探索成长,与IT爱好者共享探索乐趣
  • 淘·有料 | 爱购物爱省钱,天猫淘宝优惠天天有
  • 建站只为分享,欢迎在PC端文章面打赏支持
  • 使用Ctrl+D 可收藏本站

manjaro32系列3:xorg相关的错误cannot resolve “libxpresent”, a dependency of “xfwm4”

好玩有趣 陆子方 8个月前 (03-07) 515次浏览 0个评论 扫描二维码

子方有话

第二个问题参见:manjaro32系列2:breaks dependency ‘xf86miscproto’ required by libxxf86misc
其实第二个和第三个的问题是一样的,有的人会和子方一样,发现原来要升级manjaro32,xorg是最大的阻碍之一。其实在子方刚刚开始的时候,子方也是试过像第二个教程里那样,对xorg进行了删除。这样操作看起来很方便很快,但也带来了问题。
删除了所有关联依赖之后,manjaro32可以顺利进行升级,但只有cli,没有了图形界面。而要重新安装图形界面,也是非常的复杂的。

错误代码

could not satisfy dependencies:
unable to satisfy dependency 'presentproto' required by libxpresent
installing xorgproto (2019.2-2.0) breaks dependency 'xf86miscproto' required by libxxf86misc

cannot resolve "libxpresent", a dependency of "xfwm4" -

镜像设备关联信息

仔细对照参考,子方认为,有时候这些信息非常重要
OS: Manjaro 18.0.4 32bit
设备:酷比魔方iwork8超级版
CPU: Intel Atom Z3735F @ 4x 1.8326GHz

问题所在

这是因为,libxpresent有一个依赖是presentproto,目前在Manjaro32的仓库里,已进行了删除,所以就找不到无法升级了。在manjaro的论坛上有帖子专门写了这个问题,标题是:Window Manager (or Xorg?) broken after upgrade – Support for Community Editions – Manjaro Linux Forum

解决方法

不过由于子方在分享的时候,帖子基本打不开,所以子方就不做直接链接了。需要本地化安装libxpresent包(版本号1.0.0 + 2 + gdd6771c-1),这个包和presentproto没有依赖关系。子方把大概的处理方法分享出来,供大家进行参考。

第一步,去32位的testing仓库里下载libxpresent,因为这个包不使用到引发错误的某些特定依赖。很多镜像源没有32位的仓库,注意选择,子方看清华的源里是有的。找了一下历史书签,分享一个镜像源吧。http://mirror.easyname.at/manjaro/x32-testing/community/i686/

第二步,通过桌面或者命令行安装这个软件包。本地使用Pamac,不是pacman。

第三步,在/etc/pacman.conf里,在ignore选项中加入libxpresent,忽略升级这个软件

下一个关联的问题是:manjaro32系列4:/etc/skel/.config/autostart/ exists in both ‘manjaro-hello’

如果能帮到你,欢迎在支付宝打赏支持子方

 

3月1日补充更新:另发现新方法,就是切换到testing版本,具体操作后续考虑写一下。如果有时间的话。

系列链接

这是子方有料在撰写的一系列分享,它包含了子方在15天里遇到的各种问题。当然,这只是一小部分,也不是十分的全面。(注意:这些内容是按计划发布的,未发布前访问会返回404错误,预计到2020年3月底全部可访问)

很高兴你带着同样或相似的问题来到这里,在解决问题的过程中节约了大量时间,感谢每一位支持网站运行的朋友们,PC端页面有支付宝支持通道。

manjaro32系列

manjaro32系列1:安装遇到的PGP signature签名问题

manjaro32系列2:breaks dependency ‘xf86miscproto’ required by libxxf86misc

manjaro32系列3:xorg相关的错误cannot resolve “libxpresent”, a dependency of “xfwm4”

manjaro32系列4:/etc/skel/.config/autostart/ exists in both ‘manjaro-hello’

 

安装manjaro64 32efi/64cpu

成功实操篇:成功在32位efi的atom平板上安装了64位manjaro

32位efi启动64位manjaro,为什么要安装两次?

为什么很多Linux发行版的livecd无法在Windows平板上启动,以酷比魔方iwork8为例

搭载了atom64位处理器/32位efi的Windows平板值不值得买用?装什么系统?

 

manjaro系统篇

安装manjaro遇到的pgb签名问题终极解决方案

为manjaro的xfce桌面设置中文

在manjaro 上安装谷歌拼音中文输入法

通过grub,让32位的efi也能运行64位的Linux发行版


子方有料原创丨转载请注明原文链接
期待您的评论或捐赠,这是最好的鼓励和支持!
喜欢 (0)
[赞赏使我快乐]
分享 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到